%define dbus_glib_version               0.73
%define unique_version                  1.0.0

Summary:   Color management tools for GNOME
Name:      gnome-color-manager
Version:   2.32.0
Release:   %mkrel 3
License:   GPLv2+
Group:     Graphical desktop/GNOME
URL:       http://projects.gnome.org/gnome-color-manager/
Source0:   ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:	gnome-color-manager-2.32.0-libnotify-0.7.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:  gnome-icon-theme
Requires:  packagekit
Requires:  shared-color-profiles
Requires:  ldetect-lst >= 0.1.282

BuildRequires: gtk2-devel
BuildRequires: rarian
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: vte-devel >= 0.25.1
BuildRequires: gnome-doc-utils
BuildRequires: unique-devel >= %{unique_version}
BuildRequires: libnotify-devel
BuildRequires: libsane-devel gphoto2-devel libv4l-devel
#gw libtool dep of sane:
BuildRequires: libgphoto-devel libv4l-devel
BuildRequires: intltool
BuildRequires: libgudev-devel
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: libxxf86vm-devel
BuildRequires: libxrandr-devel
BuildRequires: gnome-desktop-devel
BuildRequires: packagekit
BuildRequires: lcms-devel
BuildRequires: libcanberra-gtk-devel
BuildRequires: libtiff-devel
BuildRequires: libexif-devel
BuildRequires: cups-devel
BuildRequires: docbook-utils
BuildRequires: docbook-dtd41-sgml

%description
gnome-color-manager is a session framework that makes it easy to manage, 
install and generate color profiles in the GNOME desktop.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --disable-scrollkeeper --disable-schemas-install --enable-packagekit
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%preun_uninstall_gconf_schemas %name

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
/lib/udev/rules.d/*.rules
%{_sysconfdir}/gconf/schemas/%name.schemas
#%_libexecdir/gcm-helper-exiv
%{_bindir}/gcm-*
%{_sbindir}/*
%{_datadir}/gnome-color-manager
%{_datadir}/man/man1/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
#%_datadir/GConf/gsettings/org.gnome.color-manager.gschema.migrate
#%_datadir/glib-2.0/schemas/org.gnome.color-manager.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg*
%{_datadir}/applications/*.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/*.desktop
#%{_datadir}/dbus-1/interfaces/org.gnome.ColorManager.xml
%{_datadir}/dbus-1/services/org.gnome.ColorManager.service
%{_datadir}/polkit-1/actions/*.policy


%changelog
* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 2.32.0-3mdv2011.0
+ Revision: 677110
- rebuild to add gconf2 as req

* Tue Apr 19 2011 Funda Wang <fwang@mandriva.org> 2.32.0-2
+ Revision: 656057
- build with libnotify 0.7

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581654
- new version

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 579012
- update to new version 2.31.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574747
- update to new version 2.31.91

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 566671
- new version
- bump deps
- handle gconf schema uninstallation

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550754
- update to new version 2.30.2

* Wed Jun 30 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 549699
- Fix buildrequires for sane support (metalgod)

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 538926
- new version
- fix source URL

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528777
- update build deps
- new version
- fix source URL

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 512960
- update build deps
- update to new version 2.29.4

* Mon Feb 01 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.3-1mdv2010.1
+ Revision: 499153
- Release 2.29.3

* Tue Jan 19 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.2-1mdv2010.1
+ Revision: 493700
- add more BR
- add missing BR for manpage generation
- enable packagekit support
- ensure hardware detection is enabled
- import gnome-color-manager


